REST APICounterparties

POST

Add a connection for your Go Account to another Go Account. To connect to a Go Account that's not listed in the public directory, pass a walletId. To connect to a Go Account that is listed in the public directory, pass a value for the targetListingEntryId.

Requires access token scope: wallet_spend_all

Body Params

ONE OF

  • listingEntryId string required
  • localListingEntryDescription string

    at least 1 characters

  • targetListingEntryId string required

Responses

200
OK

Response Body

object

  • connections array of objects required
    connections object
    • ownerListingEntry object required
      ownerListingEntry object
      • listing object required
        codec for listing http response
        listing object
        • id string required
        • name string required

          at least 1 characters

        • description string

          at least 1 characters

        • editable boolean required
          True, if the name is editable.
      • id string required
      • walletId string required

        at least 1 characters

      • coin string required

        at least 1 characters

      • type string enum required
        codec for entry type
        GO_ACCOUNT
      • description string

        at least 1 characters

      • discoverable boolean required
      • featured boolean required
      • createdAt string date-time required
      • updatedAt string date-time required
    • targetListingEntry object required
      targetListingEntry object
      • Same shape as V1ListingEntryWithListingResponse.
    • id string required
    • type string enum required
      codec for valid connection statuses
      DVPWHITELIST
    • status string enum required
      codec for valid connection statuses
      PENDING_DEACTIVATIONPENDING_ACTIVATIONACTIVEINACTIVEUNDER_REVIEWREQUESTED
    • label string required

      at least 1 characters

    • description string

      at least 1 characters

    • createdBy string required

      at least 1 characters

    • updatedBy string required

      at least 1 characters

    • createdAt string date-time required
    • updatedAt string date-time required
    • linkedConnectionId string
    • hidden boolean required
    • requestRemindersSent number
    • requestReminderLastSent string date-time
    • evaluationId string

      at least 1 characters

  • totalCount number
400
Bad Request
No response body
401
Unauthorized

Response Body

object

  • errorName string required
  • error string required
404
Not Found

Response Body

object

  • errorName string required
  • error string required
409
Conflict

Response Body

object

  • errorName string required
  • error string required
422
Unprocessable Entity

Response Body

object

  • errorName string required
  • error string required
500
Internal Server Error

Response Body

object

  • errorName string required
  • error string required